Package com.independentsoft.office.vml

# Enum Class ClipboardFormatType

java.lang.Object
java.lang.Enum<ClipboardFormatType>
com.independentsoft.office.vml.ClipboardFormatType

All Implemented Interfaces:
  `Serializable`, `Comparable<ClipboardFormatType>`, `Constable`

public enum ClipboardFormatType extends Enum<ClipboardFormatType>
The Enum ClipboardFormatType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BITMAP`
  `ENHANCED_METAFILE`
  `NONE`
  `PRINTER_PICTURE`
  `SCREEN_PICTURE`
  `WINDOWS_METAFILE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ClipboardFormatType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ClipboardFormatType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BITMAP

    public static final ClipboardFormatType BITMAP

  - ### ENHANCED_METAFILE

    public static final ClipboardFormatType ENHANCED_METAFILE

  - ### WINDOWS_METAFILE

    public static final ClipboardFormatType WINDOWS_METAFILE

  - ### PRINTER_PICTURE

    public static final ClipboardFormatType PRINTER_PICTURE

  - ### SCREEN_PICTURE

    public static final ClipboardFormatType SCREEN_PICTURE

  - ### NONE

    public static final ClipboardFormatType NONE

- ## Method Details

  - ### values

    public static ClipboardFormatType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ClipboardFormatType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null